# Certstream-watcher

This is Platform.sh project written to aggregate, parse and watch certificate data from many [certificate transparency logs](https://www.certificate-transparency.org/what-is-ct) and notify if certain pattern is noticed. Based on code from [CaliDog](https://github.com/CaliDog/certstream-server-python).

## Setup

`WATCH_SUFFIX`: comma separated list of URL suffixes to watch. For example:

```
env:WATCH_SUFFIX = .platform.sh,*.plat.farm
```

`SLACK_WEBHOOK_URL`: Slack webhook to post findings.

## Development

```
virtualenv -p python3 .env
source .env/bin/activate

pip install -r requirements.txt

python run_server.py
```
